字母列表
GET
/v1/mailboxes/{mailbox_id}/messages返回最多 40 个字母,从新的 UID 到旧的。对于下一页,将 next_before 传递为 before. 对于 next_before=null ,没有更多页面。读取不会设置读取标志。
要求
curl -X GET 'https://adapt-mail.com/v1/mailboxes/<mailbox_id>/messages' \ -H 'Authorization: Bearer <access_token>'选项
mailbox_idpath一定integerfolderquerystring默认:
"INBOX"qquerystring默认:
""maxLength: 200beforequery- 选项 1
integerexclusiveMinimum: 0选项 2null X-Customer-IDheader- 选项 1
string选项 2null
响应
200 成功回复
application/json
object
itemsarray数组元素objectuidintegeruidvalidityintegerfolderstringmessage_idstringthread_idstringsenderstringrecipientsarray数组元素objectnamestringemailstring
subjectstringpreviewstringflagsarray数组元素stringsize_bytesintegerreceived_atstringUTC. 中的日期和时间 如果没有偏移,该值也代表 UTC.
next_before- 选项 1
integer选项 2null uidvalidityinteger
401 需要登录
application/json
object
detail- 选项 1
string选项 2objectcodestringmessagestring
选项 3array数组元素object
403 无法访问
application/json
object
detail- 选项 1
string选项 2objectcodestringmessagestring
选项 3array数组元素object
404 找不到资源
application/json
object
detail- 选项 1
string选项 2objectcodestringmessagestring
选项 3array数组元素object
409 国家冲突
application/json
object
detail- 选项 1
string选项 2objectcodestringmessagestring
选项 3array数组元素object
422 验证错误
application/json
object
detailarray数组元素objectloc一定array数组元素选项 1string选项 2integermsg一定stringtype一定string
503 暂时无法使用
application/json
object
detail- 选项 1
string选项 2objectcodestringmessagestring
选项 3array数组元素object